<?xml version="1.0" encoding="ISO-8859-1"?>

<PropertyList>

  <keyboard>

    <key n="68">
      <name>D</name>
      <desc>Door</desc>
      <binding>
        <command>nasal</command>
        <script>doors.baie.toggle();</script>
      </binding>
    </key>

    <key n="100">
      <name>d</name>
      <desc>Cargo bay</desc>
      <binding>
        <command>nasal</command>
        <script>doors.crew.toggle();</script>
      </binding>
    </key>

    <key n="61">
      <name>=</name>
      <desc>Jump signal</desc>
      <binding>
        <command>property-toggle</command>
        <property>controls/paratroopers/jump-signal</property>
        <value>true</value>
      </binding>
    </key>

    <key n="60">
      <name> > </name>
      <desc>Change Pilot Engineer View</desc>
      <binding>
        <command>property-cycle</command>
        <property>sim/current-view/view-number</property>
        <value>0</value>
        <value>9</value>
      </binding>
    </key>

    <key n="121">
      <name>y</name>
      <desc>Change Pilot Ramp View</desc>
      <binding>
        <command>property-cycle</command>
        <property>sim/current-view/view-number</property>
        <value>0</value>
        <value>13</value>
      </binding>
    </key>

    <key n="127">
      <name>Delete</name>
      <desc>Toggle Reversers</desc>
      <binding>
        <command>property-cycle</command>
        <property>controls/reverser</property>
        <value>true</value>
        <value>false</value>
      </binding>
    </key>

    <key n="81">
      <name>Q</name>
      <desc>Reset view</desc>
      <binding>
        <command>nasal</command>
        <script>
          setprop("sim/current-view/field-of-view",      getprop("sim/current-view/config/default-field-of-view-deg"));
          setprop("sim/current-view/heading-offset-deg", getprop("sim/current-view/config/heading-offset-deg"));
          setprop("sim/current-view/pitch-offset-deg",   getprop("sim/current-view/config/pitch-offset-deg"));
          setprop("sim/current-view/roll-offset-deg",    getprop("sim/current-view/config/roll-offset-deg"));
        </script>
      </binding>
    </key>

    <key n="125">
      <name>}</name>
      <desc>AutoStart/AutoStop</desc>
      <binding>
        <command>property-toggle</command>
        <property>controls/electric/battery-switch</property>
      </binding>
      <binding>
        <command>property-toggle</command>
        <property>controls/electric/engine/generator</property>
      </binding>
      <binding>
        <command>property-toggle</command>
        <property>controls/lighting/instrument-lights</property>
      </binding>
      <binding>
        <command>property-toggle</command>
        <property>controls/lighting/nav-lights</property>
      </binding>
      <binding>
        <command>property-toggle</command>
        <property>controls/lighting/beacon</property>
      </binding>
      <binding>
        <command>property-toggle</command>
        <property>controls/lighting/strobe</property>
      </binding>
      <binding>
        <command>property-toggle</command>
        <property>controls/switches/starterkey-insert</property>
      </binding>
      <binding>
        <command>property-toggle</command>
        <property>controls/engines/engine[0]/fuel-pump</property>
      </binding>
      <binding>
        <command>property-toggle</command>
        <property>controls/engines/engine[1]/fuel-pump</property>
      </binding>
      <!-- Magnetos ON -->
      <binding>
        <condition>
          <property>controls/switches/starterkey-insert</property>
        </condition>
        <command>property-assign</command>
        <property>controls/engines/engine[0]/magnetos</property>
        <value>3</value>
      </binding>
      <binding>
        <condition>
          <property>controls/switches/starterkey-insert</property>
        </condition>
        <command>property-assign</command>
        <property>controls/engines/engine[1]/magnetos</property>
        <value>3</value>
      </binding>
      <binding>
        <condition>
          <property>controls/switches/starterkey-insert</property>
        </condition>
        <command>property-assign</command>
        <property>controls/engines/engine[2]/magnetos</property>
        <value>3</value>
      </binding>
      <binding>
        <condition>
          <property>controls/switches/starterkey-insert</property>
        </condition>
        <command>property-assign</command>
        <property>controls/engines/engine[3]/magnetos</property>
        <value>3</value>
      </binding>
      <!-- Magnetos OFF -->
      <binding>
        <condition>
          <not><property>controls/switches/starterkey-insert</property></not>
        </condition>
        <command>property-assign</command>
        <property>controls/engines/engine[0]/magnetos</property>
        <value>0</value>
      </binding>
      <binding>
        <condition>
          <not><property>controls/switches/starterkey-insert</property></not>
        </condition>
        <command>property-assign</command>
        <property>controls/engines/engine[1]/magnetos</property>
        <value>0</value>
      </binding>
      <binding>
        <condition>
          <not><property>controls/switches/starterkey-insert</property></not>
        </condition>
        <command>property-assign</command>
        <property>controls/engines/engine[2]/magnetos</property>
        <value>0</value>
      </binding>
      <binding>
        <condition>
          <not><property>controls/switches/starterkey-insert</property></not>
        </condition>
        <command>property-assign</command>
        <property>controls/engines/engine[3]/magnetos</property>
        <value>0</value>
      </binding>
      <binding>
        <command>nasal</command>
        <script>engines.autostart();</script>
      </binding>
    </key>

  </keyboard>

</PropertyList>
